#!/etc/opt/openit/perl -w
#
# $Id: psm.dm,v 1.17 2001/11/01 15:49:53 borgar Exp $
#
# (C) Copyright 2007 by Open iT Norge AS, All rights reserved.
#
# This software may be used or copied only with the written permission of
# Open iT Norge AS or in accordance with the terms and conditions
# stipulated in the agreement under which this software has been supplied.
#
# This file is part of Open iT Resources.
#
#HEAD##########################################################################
#
# @NAME:
#   lib_needed
# @AUTHOR:
#   Kjetil Yri
# @CREATED:
#   Wed May  9 11:37:47 MET 2007
# @DESCRIPTION:
#   Check if libraries are needed by checking output from a test program.
#   Exits with 1 if library is needed.
#   Exits with 0 if library is not needed or error.
#   If 1, output from test_lib is written.
#
#/HEAD#########################################################################

#MAIN##########################################################################
#
# @HEADING Main Description goes here
#
# Remeber to document program. You can use @LINK="to other doc" and
# include images @IMG="my.image" in the document.
#
#/MAIN#########################################################################

use strict;

my $test_prog = "files/test_lib";
my $test_args = "2>&1";

my $uname = `uname -m`;
chomp $uname;

if( $uname !~ m/^x86_64$/ ) {
    print STDERR "Library not needed on this platform.\n";
    exit( 0 );
}

if( ! -x $test_prog ) {
    print STDERR "Could not find and run $test_prog. Skipping test.\n";
    exit( 0 );
}

my $output = `$test_prog $test_args`;
chomp $output;

if( $output =~ m/^OK$/ ) {
    print STDERR "Library seems to be available already.\n";
    exit( 0 );
}

print "MSG: $output";
exit( 1 );
